<?php
/**
 * Plugin Name: Ninja Beaver Lite Addons for Beaver Builder
 * Plugin URI: https://www.ninjabeaveraddon.com
 * Description: A set of custom, improvement, impressive lite modules for Beaver Builder.
 * Version: 1.5
 * Author: Ninja Team 
 * Author URI: https://www.ninjabeaveraddon.com
 * Copyright: (c) 2017 Ninja Beaver Lite Addons
 * Text Domain: bb-njba
 */
if ( !function_exists("njba_lite_version_activation"))
{
	function njba_lite_version_activation() {
			
			add_option('njba_lite_version_versions', '1.5' );
			add_option('njba_extensions_lists', '' );
	        update_option('njba_lite_version_versions', '1.5' );
	}
}
if ( !function_exists("njba_lite_version_deactivation"))
{
	function njba_lite_version_deactivation() {
			update_option('njba_lite_version_versions', '' );
	}
}
			
register_activation_hook( __FILE__,  'njba_lite_version_activation' );
register_deactivation_hook( __FILE__, 'njba_lite_version_deactivation' );
$njba_cat = esc_html__( 'NJBA Module', 'bb-njba' );
$versions = '1.5';
	
	if( !defined( 'NJBA_MODULE_DIR' ) ) {
		define( 'NJBA_MODULE_DIR', plugin_dir_path( __FILE__ ) );
	}
	if( !defined( 'NJBA_MODULE_URL' ) ) {
		define( 'NJBA_MODULE_URL', plugins_url( '/', __FILE__ ) );
	}
	if( !defined( 'NJBA_MODULE_CAT' ) ) {
		define( 'NJBA_MODULE_CAT', $njba_cat );
	}
	if( !defined( 'NJBA_MODULE_VERSION' ) ) {
		define( 'NJBA_MODULE_VERSION', $versions);
	}
	if( !defined( 'NJBA__MODULE_PLUGIN_FILE' ) ) {
		define('NJBA__MODULE_PLUGIN_FILE', __FILE__ ); 
	}
if( !class_exists( "BB_NJBA_Addon" ) && class_exists( 'FLBuilder' )) {
	
	class BB_NJBA_Addon {
		public function __construct()
	    {
	       	add_action( 'init', array( $this, 'njba_load_modules')  );
			add_action( 'wp_enqueue_scripts', array( $this, 'njab_load_scripts') );
			add_filter('body_class',array( $this, 'njba_body_classes'));
		}
		
		/**
		 * Ninja modules
		 */
		function njba_load_modules() {
			if ( class_exists( 'FLBuilder' ) ) {
				$njba_options = get_option('njba_options');
				
				if($njba_options == ''){
						$njba_admin_option_data = array('google_static_map_api_key'   => '', 
									                    'enable_row_sep' => '',
									                );
						$njba_admin_options = add_option( 'njba_options', $njba_admin_option_data );
						
					}
					if (is_array($njba_options) && array_key_exists('enable_row_sep', $njba_options)){
					    	require_once 'includes/row.php';
					}
				/* admin settings*/
					require_once 'classes/class-admin-settings.php';
				/*class fields*/
			    require_once 'classes/class-module-fields.php';

			    require_once 'modules/njba-alert-box/njba-alert-box.php';
			    require_once 'modules/njba-advance-cta/njba-advance-cta.php';
			    require_once 'modules/njba-button/njba-button.php';
			    require_once 'modules/njba-flip-box/njba-flip-box.php';
			    require_once 'modules/njba-gallery/njba-gallery.php';
			    require_once 'modules/njba-heading/njba-heading.php';
			    require_once 'modules/njba-highlight-box/njba-highlight-box.php';
			    require_once 'modules/njba-infobox-two/njba-infobox-two.php';
			   	require_once 'modules/njba-infobox/njba-infobox.php';
			    require_once 'modules/njba-image-hover/njba-image-hover.php';
			    require_once 'modules/njba-infolist/njba-infolist.php';
			    require_once 'modules/njba-icon-img/njba-icon-img.php';
			    require_once 'modules/njba-image-hover-two/njba-image-hover-two.php';
			    require_once 'modules/njba-img-separator/njba-img-separator.php';
			    require_once 'modules/njba-image-panels/njba-image-panels.php';
			    require_once 'modules/njba-opening-hours/njba-opening-hours.php';
			    require_once 'modules/njba-post-grid/njba-post-grid.php';
				require_once 'modules/njba-post-list/njba-post-list.php';
			    require_once 'modules/njba-quote-box/njba-quote-box.php';	    	    
			    require_once 'modules/njba-social-share/njba-social-share.php';
			    require_once 'modules/njba-separator/njba-separator.php';
			    require_once 'modules/njba-spacer/njba-spacer.php';
			   	require_once 'modules/njba-static-map/njba-static-map.php';
			    require_once 'modules/njba-slider/njba-slider.php';
			    require_once 'modules/njba-teams/njba-teams.php';
			    require_once 'modules/njba-testimonials/njba-testimonials.php';

			     require_once 'modules/njba-tabs/njba-tabs.php';
		      	 require_once 'modules/njba-logo-grid-carousel/njba-logo-grid-carousel.php';
		         require_once 'modules/njba-price-box/njba-price-box.php';
		         require_once 'modules/njba-accordion/njba-accordion.php';
		         require_once 'modules/njba-subscribe-form/njba-subscribe-form.php';
		         require_once 'modules/njba-contact-form/njba-contact-form.php';
			}
		}
		/**
		 * Ninja modules Scripts
		 */
		function njab_load_scripts()
		{
				if ( class_exists( 'FLBuilderModel' ) && FLBuilderModel::is_builder_active() ) {
					wp_enqueue_style( 'njba-fields-style', NJBA_MODULE_URL . 'assets/css/njba-fields.css', array(), rand() );
					wp_enqueue_script( 'njba-fields-script', NJBA_MODULE_URL . 'assets/js/fields.js', array( 'jquery' ), rand(), true );
				}
		}
		/**
		 * Ninja modules body class
		 */
		function njba_body_classes($classes) {
		   	 $classes[] = 'bb-njba';
			 return $classes;
		}
	}
	new BB_NJBA_Addon();
}
else
{
	// Display admin notice for activating beaver builder
	add_action( 'admin_notices', 'njba_admin_notices' );
	add_action( 'network_admin_notices', 'njba_admin_notices' );
	function njba_admin_notices() {
		$url = admin_url( 'plugins.php' );
		echo '<div class="notice notice-error"><p>';
		echo sprintf( __( "You currently have two versions of <strong> Ninja Beaver Lite Addon for Beaver Builder</strong> active on this site. Please <a href='%s'>deactivate one</a> before continuing.", 'bb-njba' ), $url );
	    echo '</p></div>';
  	}
}